We've detected that you're using an older version of {{CommonHeaderCtrl.deprecatedBrowserName}}

Optimum.net is compatible with a wide range of browsers. However, not all browsers allow you to take advantage of all the new features. We strongly recommend that you upgrade to a more current browser.

goto Internet Explorer download goto Chrome download goto Firefox download

You need to change your Internet Explorer Compatibility View setting to get the most from the new Optimum.net

Click here for more info.

The Optimum App can't be installed after it has been downloaded on a Mac Computer

Apple has made a change to their security settings, and users with the following OS versions may experience this error, which will prevent them from using the Optimum App:

  • OS X 10.9.5
  • OS X Mavericks v10.10
  • OS X Mavericks v10.9.5 Security Update 2014-004
  • OS X Mountain Lion v10.8.5 Security Update 2014-004

After downloading and installing the Optimum App on a Mac computer and staring the installation process, the user may see an error message that says, "OptimumAppforLaptop_2.10.pkg" can't be opened because the identity of the developer cannot be confirmed. (see screen shot below).


If you experience this issue, please use the steps below to install the Optimum App:

  • Step 1: Locate the downloaded file (OptimumAppforLaptop_2.10.pkg) in a Finder window and hold down the "Control" key while clicking on the file.
  • Step 2: A list of options will be displayed, select "Open" from the menu.
  • Step 3: The user will see a dialog box that again displays the message "OptimumAppforLaptop_2.10.pkg" can't be opened because the identity of the developer cannot be confirmed. But this time there will be an "open" option. Select "Open".
  • Step 4: The Optimum App installation will begin; follow the on screen instructions to complete the installation.